Package org.jboss.resteasy.client.jaxrs.internal.proxy

## Class ClientInvoker

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.ClientInvoker

- All Implemented Interfaces:
    `MethodInvoker`

      public class ClientInvoker
      extends Object
      implements MethodInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.core.MediaType[]` | `accepts` |
    `protected Class<?>` | `declaring` |
    `protected DefaultEntityExtractorFactory` | `entityExtractorFactory` |
    `protected EntityExtractor` | `extractor` |
    `protected boolean` | `followRedirects` |
    `protected String` | `httpMethod` |
    `protected ClientConfiguration` | `invokerConfig` |
    `protected Method` | `method` |
    `protected Object[]` | `processors` |
    `protected javax.ws.rs.client.RxInvokerProvider<?>` | `rxInvokerProvider` |
    `protected javax.ws.rs.client.SyncInvoker` | `syncInvoker` |
    `protected ResteasyWebTarget` | `webTarget` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientInvoker​(ResteasyWebTarget parent, Class<?> declaring, Method method, ProxyConfig config)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ClientInvocation` | `createRequest​(Object[] args)` |
    `void` | `followRedirects()` |
    `javax.ws.rs.core.MediaType[]` | `getAccepts()` |
    `Class<?>` | `getDeclaring()` |
    `String` | `getHttpMethod()` |
    `Method` | `getMethod()` |
    `javax.ws.rs.client.SyncInvoker` | `getSyncInvoker()` |
    `Object` | `invoke​(Object[] args)` |
    `protected Object` | `invokeAsync​(Object[] args)` |
    `protected Object` | `invokeSync​(Object[] args)` |
    `boolean` | `isFollowRedirects()` |
    `void` | `setFollowRedirects​(boolean followRedirects)` |
    `void` | `setHttpMethod​(String httpMethod)` |
    `void` | `setSyncInvoker​(javax.ws.rs.client.SyncInvoker syncInvoker)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### httpMethod

          protected String httpMethod

    - #### method

          protected Method method

    - #### declaring

          protected Class<?> declaring

    - #### accepts

          protected javax.ws.rs.core.MediaType[] accepts

    - #### processors

          protected Object[] processors

    - #### webTarget

          protected ResteasyWebTarget webTarget

    - #### followRedirects

          protected boolean followRedirects

    - #### extractor

          protected EntityExtractor extractor

    - #### entityExtractorFactory

          protected DefaultEntityExtractorFactory entityExtractorFactory

    - #### invokerConfig

          protected ClientConfiguration invokerConfig

    - #### rxInvokerProvider

          protected javax.ws.rs.client.RxInvokerProvider<?> rxInvokerProvider

    - #### syncInvoker

          protected javax.ws.rs.client.SyncInvoker syncInvoker

  - ### Constructor Detail

    - #### ClientInvoker

          public ClientInvoker​(ResteasyWebTarget parent,
                               Class<?> declaring,
                               Method method,
                               ProxyConfig config)

  - ### Method Detail

    - #### getAccepts

          public javax.ws.rs.core.MediaType[] getAccepts()

    - #### getMethod

          public Method getMethod()

    - #### getDeclaring

          public Class<?> getDeclaring()

    - #### invoke

          public Object invoke​(Object[] args)

      Specified by:
        `invoke` in interface `MethodInvoker`

    - #### invokeAsync

          protected Object invokeAsync​(Object[] args)

    - #### invokeSync

          protected Object invokeSync​(Object[] args)

    - #### createRequest

          protected ClientInvocation createRequest​(Object[] args)

    - #### getHttpMethod

          public String getHttpMethod()

    - #### setHttpMethod

          public void setHttpMethod​(String httpMethod)

    - #### isFollowRedirects

          public boolean isFollowRedirects()

    - #### setFollowRedirects

          public void setFollowRedirects​(boolean followRedirects)

    - #### followRedirects

          public void followRedirects()

    - #### getSyncInvoker

          public javax.ws.rs.client.SyncInvoker getSyncInvoker()

    - #### setSyncInvoker

          public void setSyncInvoker​(javax.ws.rs.client.SyncInvoker syncInvoker)